# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/13
@desc: 数据加工
"""

import pandas as pd

from commom import f_save_train_df
from entitys import MlConfigEntity


class DataProcess():

    def __init__(self, ml_config: MlConfigEntity):
        self._ml_config = ml_config

    def data_fill(self, df: pd.DataFrame) -> pd.DataFrame:
        """
        数据填充
        """
        pass

    def data_filter(self, df: pd.DataFrame) -> pd.DataFrame:
        """
        数据筛选，删除缺失率高的特征或样本
        """
        pass

    def save(self, df):
        """
        加工结果固化
        """
        f_save_train_df("distribution", df)


if __name__ == "__main__":
    pass
